=== debian/changelog ===
maint-guide (1.2.31) unstable; urgency=low

  * Correct ML reference to debian-devel-changes. Closes: #671703
  * Correct URL links. Closes: #678041, #692210
  * Document dh_link(1) and debian/links debian/symbols, --with gir.
    and shared libraries. Closes: #668935, #691094
  * Updated translations: ja fr it es ca ru Closes: #688243, #696255 

 -- Osamu Aoki <osamu@debian.org>  Mon, 24 Dec 2012 23:32:31 +0900
