=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: 
 dblatex,
 docbook-xml,
 docbook-xsl, 
 po4a,
 texlive-xetex,
 texlive-lang-spanish,
 texlive-lang-french,
 texlive-lang-italian,
 texlive-lang-cyrillic,
 lmodern,
 tipa,
 gsfonts,
 fonts-ipafont,
 w3m,
 ghostscript, 
 xsltproc
# texlive-lang-german,
# ttf-arphic-gbsn00lp,
# ttf-arphic-bsmi00lp,
# ttf-wqy-zenhei,
Standards-Version: 3.9.3
Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/maint-guide
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/

Package: maint-guide
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package

Package: maint-guide-ca
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Catalan)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Catalan translation.

Package: maint-guide-es
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Spanish)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Spanish translation.

Package: maint-guide-fr
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (French)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is French translation.

Package: maint-guide-it
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Italian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Italian translation.

Package: maint-guide-ja
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Japanese)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Japanese translation.

Package: maint-guide-ru
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference, pbuilder, quilt
Description: Debian New Maintainers' Guide (Russian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Russian translation.
