=== debian/changelog ===
maint-guide (1.2.32) unstable; urgency=low

  * Synch with Debian Policy 3.9.4 to introduce build-arch and 
    build-indep targets. Closes: #698717.
  * Update to current Debian Policy 3.9.5 and debhelper v9.  
    Closes: #699168
  * Updated translations: ja, fr, it, es, ca, ru, de.
    Closes: #693706, #696428, #717351
  * Removed zero width spaces from it, BOMs from ca.
  * Updated URL for wnpp-by-tags.  Closes: #701617
  * Add bash completion for dquilt. Closes: #706515
  * Typo fix. Closes: #720759, #731990, #731659
  * Split the English source in chapters. 
  * Add epub build support following the debian-reference method.

 -- Osamu Aoki <osamu@debian.org>  Mon, 06 Jan 2014 22:01:12 +0900
