## maint-guide 1.2.33

=== debian/changelog ===
maint-guide (1.2.33) unstable; urgency=medium

  * De-emphasize native package. Closes: #696078
  * Recommend use of cryptographic signature. Closes: #732446 
  * Always sign with debsign. Closes: #734270, #695577
  * Fixed typos. Closes: #740609, #744984 
  * Add support channel info. Closes: #719926 
  * Mention hierarchy of build commands. Closes: #703811 
  * Mention debmake and its packaging examples. Closes: #623477 
  * Translation updated for de, it, ja, and ru. Closes: #753086
  * Mention the debmake package and bump version to jessie.

 -- Osamu Aoki <osamu@debian.org>  Sat, 19 Jul 2014 16:14:04 +0900
