## maint-guide 1.2.35

=== Makefile ===
--- 
+++ 
@@ -206,7 +206,9 @@
 	mkdir -p $(TMPDIR)/images
 	cp -f $(DXSL)/$(MANUAL).css $(TMPDIR)/$(MANUAL).css
 	echo "AddCharset UTF-8 .txt" > $(TMPDIR)/.htaccess
-	cd $(DIMG) ; cp caution.png home.gif important.png next.gif note.png prev.gif tip.png up.gif warning.png $(TMPDIR)/images
+	#cd $(DIMG) ; cp caution.png home.png important.png next.png note.png prev.png tip.png up.gif warning.png $(TMPDIR)/images
+	cd $(DIMG) ; cp caution.png important.png note.png tip.png up.gif warning.png $(TMPDIR)/images
+	cd png ; cp home.png next.png prev.png $(TMPDIR)/images
 
 #######################################################################
 # $ make html      # update all HTML in $(TMPDIR)
@@ -300,8 +302,3 @@
 	cd $(TMPDIR)/epub-$*/ ; $(XPINC) $(CURDIR)/$(DXSL)/style-epub.xsl $(CURDIR)/$<
 	cp -f $(DXSL)/mimetype $(TMPDIR)/epub-$*/mimetype
 	cp -f $(DXSL)/$(MANUAL).css $(TMPDIR)/epub-$*/OEBPS/$(MANUAL).css
-	cp -f $(DXSL)/debian-openlogo.png $(TMPDIR)/epub-$*/OEBPS/debian-openlogo.png
-	cd $(TMPDIR)/epub-$*/ ; zip -r $@ ./
-
-#######################################################################
-### Utility targets
