=== debian/changelog ===
maint-guide (1.2.35) unstable; urgency=medium

  * Update translation: ca, es
  * Update CSS further by Stéphane Blondon.

 -- Osamu Aoki <osamu@debian.org>  Sun, 23 Nov 2014 01:55:31 +0900

maint-guide (1.2.34) unstable; urgency=medium

  * Mention wnpp-alert. Closes: #700310
  * Style fix by Helge Kreutzmann. Closes: #753319
  * Update translation: fr, jp. Closes: #755872
  * Update CSS matching other Debian pages.  Thanks, Stéphane 
    Blondon. Closes: #761611

 -- Osamu Aoki <osamu@debian.org>  Tue, 14 Oct 2014 21:29:11 +0900
